Skip to content

Set meta item for a device​

GET
/devices/{id}/setMetaItem

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

key*
Type
string
Required
value
Type
string
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
{
  
"status": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/setMetaItem:
    get:
      tags:
        - device-config
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: number
            format: integer
        - name: key
          in: query
          required: true
          schema:
            type: string
        - name: value
          in: query
          required: false
          schema:
            type: string
            format: JSON
      responses:
'200':
yaml
          description: Request was successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-devices-id-setMetaItem
      summary: Set meta item for a device
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...